# Rotate Automatic Sender Security DKIM key for a domain

Immediately rotate your DKIM key. This will trigger a rotation even if auto-rotation is disabled on the domain.

Endpoint: POST /v1/dkim_management/domains/{name}/rotate
Version: 3.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `name` (string, required)
    The Domain name

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

## Response 400:

  - `400` (unknown)
    A 400 response

## Response 400 fields (application/json):

  - `Reason` (string, required)

## Response 404:

  - `404` (unknown)
    A 404 response

## Response 404 fields (application/json):

  - `Description` (string, required)

## Response 200 examples:

  - `Example` (unknown)

## Response 400 examples:

  - `Example` (unknown)

## Response 404 examples:

  - `Example` (unknown)

